Subject: Included PulseAudio consumes too much CPU when launched with high priority
From: Nable 80 <[email-masked]>
To: [email-masked]
Date: Sun, 29 Jun 2014 18:04:42 +0400

Package: x2goclient
Version: 4.0.2.0

When I use sound forwarding and launch inside X2Go session some application
with sound support, pulseaudio.exe at client side starts consuming ~100% CPU.
By default, X2Go Client starts pulseaudio.exe with high priority (13).
When I set priority to "Above Normal (10)" PA's CPU load drops to 10-20%.
With "Normal (8)" it drops to almost 0%, although sound is still played stable,
without any additional delays.

I'm using WinXP SP3 (32-bit) on my laptop with single core CPU.
This issue seems to be "PulseAudio 5.0 && WinXP"-specific.